<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="ISO-8859-1" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" indent="yes"/>

<xsl:template match="/">
<html>
<head>
	<meta HTTP-EQUIV="Content-Type" content="text/html; charset=iso-8859-1"/>
	<title>Olympics</title>
</head>
<body>
	<h1>Resultater sprint</h1>
	<div id="mainblock">
	<hr/>
	<xsl:for-each select="IOC/OlympicGame">
		<table cellpadding="10">
			<tr><td>			
			<xsl:element name="img">
			    <xsl:attribute name="src">images/<xsl:value-of select="@place"/>.gif</xsl:attribute>
			    <xsl:attribute name="alt"><xsl:value-of select="@place"/></xsl:attribute>
			</xsl:element>
			</td>
			<td>
			<h2><xsl:value-of select="@place"/> <br/> 
			<xsl:value-of select="@year"/></h2>
			</td></tr>
		</table>
		<table cellpadding="10" border="0" cellspacing="0">
		<tr>
		<xsl:for-each select="event">
			<td valign="top" width="200">
				<h2><xsl:value-of select="@track"/></h2>
				<xsl:for-each select="athlet">
					<xsl:apply-templates select="."/>
				</xsl:for-each>
			</td>
		</xsl:for-each>
		</tr>
		</table>
	</xsl:for-each>
	</div>
</body>
</html>
</xsl:template>

<xsl:template match="athlet">
	<p><xsl:value-of select="name"/><br/>
	<xsl:value-of select="nation"/><br/>
	<xsl:value-of select="result"/></p>
</xsl:template>

</xsl:stylesheet>
